import React, { FC, useState } from 'react';
import { Text, View } from 'react-native';
import type { NavigationProp } from '@react-navigation/native';

import { PageWrapper, Header, BigText, Button, Input } from '../../components/';
import { NAVIGATION_PAGES } from '../../types';

import { styles } from './styles';

type Props = {
  navigation: NavigationProp<any>;
};

const ResetPasswordScreen: FC<Props> = ({ navigation }) => {
  const [email, setEmail] = useState('');

  //TODO: Add pass checks | add res pass functionality

  return (
    <PageWrapper>
      <Header label={'Reset Password'} />
      <View style={{ gap: 15 }}>
        <BigText>Please enter your valid email</BigText>
        <Text style={styles.smallText}>
          Type email which you used for registration and check your inbox for further instructions
        </Text>
        <Input
          onChange={(s) => setEmail(s)}
          placeholder={'Email'}
          header={'Email address'}
          inputMode={'email'}
        />
      </View>
      <View style={{ marginTop: '10%' }}>
        <Button onPress={() => navigation.navigate(NAVIGATION_PAGES.RESET_PASSWORD_DEEP)}>
          Send
        </Button>
      </View>
    </PageWrapper>
  );
};

export default ResetPasswordScreen;
